package company_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CompanyStatusRequest struct {
	// 【三方业务系统id】三方业务系统id 【特殊说明】<br>所有参数任填其一
	OpenCompanyId string `json:"openCompanyId,omitempty"`
	// 【单位名称】单位名称 【特殊说明】<br>所有参数任填其一
	CompanyName string `json:"companyName,omitempty"`
	// 【单位名称】单位名称 【特殊说明】<br>所有参数任填其一，若一并填了companyName，则以companyName为主
	Name string `json:"name,omitempty"`
	// 【单位ID】契约锁系统单位唯一ID 【特殊说明】<br>所有参数任填其一
	Id *int64 `json:"id,omitempty"`
	// 【统一社会信用代码】统一社会信用代码 【特殊说明】<br>所有参数任填其一
	RegisterNo string `json:"registerNo,omitempty"`
}

func (obj CompanyStatusRequest) GetUrl() string {
	return "/company/status"
}

func (obj CompanyStatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("openCompanyId", obj.OpenCompanyId)
	parameter.AddParam("companyName", obj.CompanyName)
	parameter.AddParam("name", obj.Name)
	parameter.AddParam("id", obj.Id)
	parameter.AddParam("registerNo", obj.RegisterNo)
	return parameter
}
